solarOSsolarOS Docs

Delete an unstarted or cancelled calendar booking

Hard-deletes a calendar booking only before execution starts or after cancellation. Requires Idempotency-Key, emits audit/domain events, and removes the record from normal reads. Required scope: service_appointments:delete.

DELETE
/service-appointments/{id}

Hard-deletes a calendar booking only before execution starts or after cancellation. Requires Idempotency-Key, emits audit/domain events, and removes the record from normal reads. Required scope: service_appointments:delete.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Service Appointment identifier returned by the Organization API.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/service-appointments/string"
{  "data": {    "action": {      "confirmed": true,      "confirmationSignal": "string"    },    "resource": {}  },  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}